<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Mini51 BSP: StdDriver/src/fmc.c Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="M0Banner_v2.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Mini51 BSP
   &#160;<span id="projectnumber">V3.02.002</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">fmc.c</div>  </div>
</div><!--header-->
<div class="contents">
<a href="fmc_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/**************************************************************************/</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">//* Includes ------------------------------------------------------------------*/</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#include &lt;stdio.h&gt;</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_mini51_series_8h.html">Mini51Series.h</a>&quot;</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga100c2bb214379f1ffb7d7ad3b6bae466">   34</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga100c2bb214379f1ffb7d7ad3b6bae466">FMC_Close</a>(<span class="keywordtype">void</span>)</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;{</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON &amp;= ~<a class="code" href="_mini51_series_8h.html#aea164e8089d483d6a9eaeb541429828b">FMC_ISPCON_ISPEN_Msk</a>;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;}</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga770503ecc8c81b51a08a512f3795ca0d">   46</a></span>&#160;int32_t <a class="code" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga770503ecc8c81b51a08a512f3795ca0d">FMC_Erase</a>(uint32_t u32PageAddr)</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;{</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCMD = <a class="code" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafc49387d8d57bcd15b65f0dc3002ccdd">FMC_ISPCMD_PAGE_ERASE</a>;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPADR = u32PageAddr;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPTRG = <a class="code" href="_mini51_series_8h.html#ac487ff3130efdc1632f966d53e200141">FMC_ISPTRG_ISPGO_Msk</a>;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    <span class="keywordflow">while</span> (<a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPTRG &amp; <a class="code" href="_mini51_series_8h.html#ac487ff3130efdc1632f966d53e200141">FMC_ISPTRG_ISPGO_Msk</a>) ;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    <span class="keywordflow">if</span> (<a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON &amp; <a class="code" href="_mini51_series_8h.html#a54f026a02e094489bf3c236973ba7cb6">FMC_ISPCON_ISPFF_Msk</a>)</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    {</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;        <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON |= <a class="code" href="_mini51_series_8h.html#a54f026a02e094489bf3c236973ba7cb6">FMC_ISPCON_ISPFF_Msk</a>;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;        <span class="keywordflow">return</span> -1;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    }</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    <span class="keywordflow">return</span> 0;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;}</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00068"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab6ee808b1bcd13ae19c206bab89bd718">   68</a></span>&#160;int32_t <a class="code" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab6ee808b1bcd13ae19c206bab89bd718">FMC_GetBootSource</a> (<span class="keywordtype">void</span>)</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;{</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    <span class="keywordflow">if</span> (<a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON &amp; <a class="code" href="_mini51_series_8h.html#a5dcac03e5833339e9c6dc19953125c65">FMC_ISPCON_BS_Msk</a>)</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;        <span class="keywordflow">return</span> 1;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;    <span class="keywordflow">else</span></div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;        <span class="keywordflow">return</span> 0;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;}</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadd57308fea4569d942facee962482f9e">   80</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadd57308fea4569d942facee962482f9e">FMC_Open</a>(<span class="keywordtype">void</span>)</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;{</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCON |=  <a class="code" href="_mini51_series_8h.html#aea164e8089d483d6a9eaeb541429828b">FMC_ISPCON_ISPEN_Msk</a>;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;}</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa137e07140d3d8782ccc2135a454fba5">   91</a></span>&#160;uint32_t <a class="code" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa137e07140d3d8782ccc2135a454fba5">FMC_Read</a>(uint32_t u32Addr)</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;{</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCMD = <a class="code" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9ef5fc95ade50272ef27548db3cc833d">FMC_ISPCMD_READ</a>;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPADR = u32Addr;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPTRG = <a class="code" href="_mini51_series_8h.html#ac487ff3130efdc1632f966d53e200141">FMC_ISPTRG_ISPGO_Msk</a>;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    <span class="keywordflow">while</span> (<a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPTRG &amp; <a class="code" href="_mini51_series_8h.html#ac487ff3130efdc1632f966d53e200141">FMC_ISPTRG_ISPGO_Msk</a>) ;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    <span class="keywordflow">return</span> <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPDAT;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;}</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div><div class="line"><a name="l00107"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga28f55079cc6dc3f4641d98bd66647509">  107</a></span>&#160;uint32_t <a class="code" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga28f55079cc6dc3f4641d98bd66647509">FMC_ReadCID</a>(<span class="keywordtype">void</span>)</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;{</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCMD = <a class="code" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5b1b56e5bfe7a7df142ec9c4c0466cee">FMC_ISPCMD_READ_CID</a>;</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPADR = 0x0;</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPTRG = <a class="code" href="_mini51_series_8h.html#ac487ff3130efdc1632f966d53e200141">FMC_ISPTRG_ISPGO_Msk</a>;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;    <span class="keywordflow">while</span> (<a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPTRG &amp; <a class="code" href="_mini51_series_8h.html#ac487ff3130efdc1632f966d53e200141">FMC_ISPTRG_ISPGO_Msk</a>) ;</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;    <span class="keywordflow">return</span> <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPDAT;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;}</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;</div><div class="line"><a name="l00121"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab043658cd7493669ee3875a05be3485c">  121</a></span>&#160;uint32_t <a class="code" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab043658cd7493669ee3875a05be3485c">FMC_ReadPID</a>(<span class="keywordtype">void</span>)</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;{</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCMD = <a class="code" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga812d22e2cb56c1a796b90a08fca60805">FMC_ISPCMD_READ_PID</a>;</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPADR = 0x04;</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPTRG = <a class="code" href="_mini51_series_8h.html#ac487ff3130efdc1632f966d53e200141">FMC_ISPTRG_ISPGO_Msk</a>;</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;    <span class="keywordflow">while</span> (<a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPTRG &amp; <a class="code" href="_mini51_series_8h.html#ac487ff3130efdc1632f966d53e200141">FMC_ISPTRG_ISPGO_Msk</a>) ;</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;    <span class="keywordflow">return</span> <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPDAT;</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;}</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;</div><div class="line"><a name="l00136"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc1ab62919a2d7714a4514cafa1dfea8">  136</a></span>&#160;uint32_t <a class="code" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc1ab62919a2d7714a4514cafa1dfea8">FMC_ReadUCID</a>(uint32_t u32Index)</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;{</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCMD = <a class="code" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf2ffaaafb784dda3627705765b00f26b">FMC_ISPCMD_READ_UID</a>;</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPADR = (0x04 * u32Index) + 0x10;</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPTRG = <a class="code" href="_mini51_series_8h.html#ac487ff3130efdc1632f966d53e200141">FMC_ISPTRG_ISPGO_Msk</a>;</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;    <span class="keywordflow">while</span> (<a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPTRG &amp; <a class="code" href="_mini51_series_8h.html#ac487ff3130efdc1632f966d53e200141">FMC_ISPTRG_ISPGO_Msk</a>) ;</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;    <span class="keywordflow">return</span> <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPDAT;</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;}</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;</div><div class="line"><a name="l00153"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga592aa16573d8ed31aec3ad5fb4e3495a">  153</a></span>&#160;uint32_t <a class="code" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga592aa16573d8ed31aec3ad5fb4e3495a">FMC_ReadUID</a>(uint32_t u32Index)</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;{</div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCMD = <a class="code" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf2ffaaafb784dda3627705765b00f26b">FMC_ISPCMD_READ_UID</a>;</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPADR = 0x04 * u32Index;</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPTRG = <a class="code" href="_mini51_series_8h.html#ac487ff3130efdc1632f966d53e200141">FMC_ISPTRG_ISPGO_Msk</a>;</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;    <span class="keywordflow">while</span> (<a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPTRG &amp; <a class="code" href="_mini51_series_8h.html#ac487ff3130efdc1632f966d53e200141">FMC_ISPTRG_ISPGO_Msk</a>) ;</div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;</div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;    <span class="keywordflow">return</span> <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPDAT;</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;}</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;</div><div class="line"><a name="l00169"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8bc30659ec176ab90b22a7f469781a43">  169</a></span>&#160;uint32_t <a class="code" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8bc30659ec176ab90b22a7f469781a43">FMC_ReadDataFlashBaseAddr</a>(<span class="keywordtype">void</span>)</div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;{</div><div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;    <span class="keywordflow">return</span> <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;DFBADR;</div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;}</div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;</div><div class="line"><a name="l00179"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27d8d6317541982cc1555f44afcc7a92">  179</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27d8d6317541982cc1555f44afcc7a92">FMC_SetVectorPageAddr</a>(uint32_t u32PageAddr)</div><div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;{</div><div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCMD = <a class="code" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab4153087dcc74a23ac04f562d0d735d1">FMC_ISPCMD_VECMAP</a>;</div><div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPADR = u32PageAddr;</div><div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPTRG = <a class="code" href="_mini51_series_8h.html#ac487ff3130efdc1632f966d53e200141">FMC_ISPTRG_ISPGO_Msk</a>;</div><div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;    <span class="keywordflow">while</span> (<a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPTRG &amp; <a class="code" href="_mini51_series_8h.html#ac487ff3130efdc1632f966d53e200141">FMC_ISPTRG_ISPGO_Msk</a>) ;</div><div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;}</div><div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;</div><div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;</div><div class="line"><a name="l00192"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d133263bbf32628fb34da7f3ce2f65a">  192</a></span>&#160;uint32_t <a class="code" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d133263bbf32628fb34da7f3ce2f65a">FMC_GetVectorPageAddr</a>(<span class="keywordtype">void</span>)</div><div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;{</div><div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;    <span class="keywordflow">return</span> (<a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPSTA &amp; 0x0FFFFF00ul);</div><div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;}</div><div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;</div><div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;</div><div class="line"><a name="l00203"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaae44dbed19e50b1cc1c50ce8eb660ef9">  203</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaae44dbed19e50b1cc1c50ce8eb660ef9">FMC_Write</a>(uint32_t u32Addr, uint32_t u32Data)</div><div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;{</div><div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPCMD = <a class="code" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1aaae73ab5d5e5a4cee66c98e14623d5">FMC_ISPCMD_PROGRAM</a>;</div><div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPADR = u32Addr;</div><div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPDAT = u32Data;</div><div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;    <a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPTRG = <a class="code" href="_mini51_series_8h.html#ac487ff3130efdc1632f966d53e200141">FMC_ISPTRG_ISPGO_Msk</a>;</div><div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;    <span class="keywordflow">while</span> (<a class="code" href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a>-&gt;ISPTRG &amp; <a class="code" href="_mini51_series_8h.html#ac487ff3130efdc1632f966d53e200141">FMC_ISPTRG_ISPGO_Msk</a>) ;</div><div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;}</div><div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;</div><div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;</div><div class="line"><a name="l00220"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21c1c982b1575821e1b95e67059686d5">  220</a></span>&#160;int32_t <a class="code" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21c1c982b1575821e1b95e67059686d5">FMC_ReadConfig</a>(uint32_t *u32Config, uint32_t u32Count)</div><div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;{</div><div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;    u32Config[0] = <a class="code" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa137e07140d3d8782ccc2135a454fba5">FMC_Read</a>(<a class="code" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga52a7acc3043b680daac35a5ec0189c3b">FMC_CONFIG_BASE</a>);</div><div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;    <span class="keywordflow">if</span> (u32Count &lt; 2)</div><div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;        <span class="keywordflow">return</span> 0;</div><div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;    u32Config[1] = <a class="code" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa137e07140d3d8782ccc2135a454fba5">FMC_Read</a>(<a class="code" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga52a7acc3043b680daac35a5ec0189c3b">FMC_CONFIG_BASE</a>+4);</div><div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;    <span class="keywordflow">return</span> 0;</div><div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;}</div><div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;</div><div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;</div><div class="line"><a name="l00237"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaba70c75883a8bba7ff7f93b3cc75fac6">  237</a></span>&#160;int32_t <a class="code" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaba70c75883a8bba7ff7f93b3cc75fac6">FMC_WriteConfig</a>(uint32_t *u32Config, uint32_t u32Count)</div><div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;{</div><div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;    <a class="code" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa482e0d0389b4b3661c20427665e5daf">FMC_ENABLE_CFG_UPDATE</a>();</div><div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;    <a class="code" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga770503ecc8c81b51a08a512f3795ca0d">FMC_Erase</a>(<a class="code" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga52a7acc3043b680daac35a5ec0189c3b">FMC_CONFIG_BASE</a>);</div><div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;    <a class="code" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaae44dbed19e50b1cc1c50ce8eb660ef9">FMC_Write</a>(<a class="code" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga52a7acc3043b680daac35a5ec0189c3b">FMC_CONFIG_BASE</a>, u32Config[0]);</div><div class="line"><a name="l00242"></a><span class="lineno">  242</span>&#160;    <a class="code" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaae44dbed19e50b1cc1c50ce8eb660ef9">FMC_Write</a>(<a class="code" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga52a7acc3043b680daac35a5ec0189c3b">FMC_CONFIG_BASE</a>+4, u32Config[1]);</div><div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;    <a class="code" href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9edbe1405f140aa36e5f3af3ac9360ae">FMC_DISABLE_CFG_UPDATE</a>();</div><div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160;    <span class="keywordflow">return</span> 0;</div><div class="line"><a name="l00245"></a><span class="lineno">  245</span>&#160;}</div><div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;</div><div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160; <span class="comment">/* end of group MINI51_FMC_EXPORTED_FUNCTIONS */</span></div><div class="line"><a name="l00249"></a><span class="lineno">  249</span>&#160; <span class="comment">/* end of group MINI51_FMC_Driver */</span></div><div class="line"><a name="l00251"></a><span class="lineno">  251</span>&#160; <span class="comment">/* end of group MINI51_Device_Driver */</span></div><div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160;</div><div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;<span class="comment">/*** (C) COPYRIGHT 2013~2015 Nuvoton Technology Corp. ***/</span></div><div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;</div><div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;</div><div class="ttc" id="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga592aa16573d8ed31aec3ad5fb4e3495a"><div class="ttname"><a href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga592aa16573d8ed31aec3ad5fb4e3495a">FMC_ReadUID</a></div><div class="ttdeci">uint32_t FMC_ReadUID(uint32_t u32Index)</div><div class="ttdoc">This function reads one of the three UID.</div><div class="ttdef"><b>Definition:</b> <a href="fmc_8c_source.html#l00153">fmc.c:153</a></div></div>
<div class="ttc" id="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gadd57308fea4569d942facee962482f9e"><div class="ttname"><a href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadd57308fea4569d942facee962482f9e">FMC_Open</a></div><div class="ttdeci">void FMC_Open(void)</div><div class="ttdoc">Enable FMC ISP function.</div><div class="ttdef"><b>Definition:</b> <a href="fmc_8c_source.html#l00080">fmc.c:80</a></div></div>
<div class="ttc" id="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gab043658cd7493669ee3875a05be3485c"><div class="ttname"><a href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab043658cd7493669ee3875a05be3485c">FMC_ReadPID</a></div><div class="ttdeci">uint32_t FMC_ReadPID(void)</div><div class="ttdoc">Read product ID.</div><div class="ttdef"><b>Definition:</b> <a href="fmc_8c_source.html#l00121">fmc.c:121</a></div></div>
<div class="ttc" id="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga52a7acc3043b680daac35a5ec0189c3b"><div class="ttname"><a href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga52a7acc3043b680daac35a5ec0189c3b">FMC_CONFIG_BASE</a></div><div class="ttdeci">#define FMC_CONFIG_BASE</div><div class="ttdef"><b>Definition:</b> <a href="fmc_8h_source.html#l00037">fmc.h:37</a></div></div>
<div class="ttc" id="_mini51_series_8h_html"><div class="ttname"><a href="_mini51_series_8h.html">Mini51Series.h</a></div><div class="ttdoc">Mini51 series peripheral access layer header file. This file contains all the peripheral register's d...</div></div>
<div class="ttc" id="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gab6ee808b1bcd13ae19c206bab89bd718"><div class="ttname"><a href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab6ee808b1bcd13ae19c206bab89bd718">FMC_GetBootSource</a></div><div class="ttdeci">int32_t FMC_GetBootSource(void)</div><div class="ttdoc">get the current boot source</div><div class="ttdef"><b>Definition:</b> <a href="fmc_8c_source.html#l00068">fmc.c:68</a></div></div>
<div class="ttc" id="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gab4153087dcc74a23ac04f562d0d735d1"><div class="ttname"><a href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab4153087dcc74a23ac04f562d0d735d1">FMC_ISPCMD_VECMAP</a></div><div class="ttdeci">#define FMC_ISPCMD_VECMAP</div><div class="ttdef"><b>Definition:</b> <a href="fmc_8h_source.html#l00052">fmc.h:52</a></div></div>
<div class="ttc" id="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaba70c75883a8bba7ff7f93b3cc75fac6"><div class="ttname"><a href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaba70c75883a8bba7ff7f93b3cc75fac6">FMC_WriteConfig</a></div><div class="ttdeci">int32_t FMC_WriteConfig(uint32_t *u32Config, uint32_t u32Count)</div><div class="ttdoc">Write User Configuration.</div><div class="ttdef"><b>Definition:</b> <a href="fmc_8c_source.html#l00237">fmc.c:237</a></div></div>
<div class="ttc" id="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga812d22e2cb56c1a796b90a08fca60805"><div class="ttname"><a href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga812d22e2cb56c1a796b90a08fca60805">FMC_ISPCMD_READ_PID</a></div><div class="ttdeci">#define FMC_ISPCMD_READ_PID</div><div class="ttdef"><b>Definition:</b> <a href="fmc_8h_source.html#l00050">fmc.h:50</a></div></div>
<div class="ttc" id="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga770503ecc8c81b51a08a512f3795ca0d"><div class="ttname"><a href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga770503ecc8c81b51a08a512f3795ca0d">FMC_Erase</a></div><div class="ttdeci">int32_t FMC_Erase(uint32_t u32PageAddr)</div><div class="ttdoc">Erase a page. The page size is 512 bytes.</div><div class="ttdef"><b>Definition:</b> <a href="fmc_8c_source.html#l00046">fmc.c:46</a></div></div>
<div class="ttc" id="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gafc49387d8d57bcd15b65f0dc3002ccdd"><div class="ttname"><a href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafc49387d8d57bcd15b65f0dc3002ccdd">FMC_ISPCMD_PAGE_ERASE</a></div><div class="ttdeci">#define FMC_ISPCMD_PAGE_ERASE</div><div class="ttdef"><b>Definition:</b> <a href="fmc_8h_source.html#l00048">fmc.h:48</a></div></div>
<div class="ttc" id="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga27d8d6317541982cc1555f44afcc7a92"><div class="ttname"><a href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27d8d6317541982cc1555f44afcc7a92">FMC_SetVectorPageAddr</a></div><div class="ttdeci">void FMC_SetVectorPageAddr(uint32_t u32PageAddr)</div><div class="ttdoc">This function will force re-map assigned flash page to CPU address 0x0.</div><div class="ttdef"><b>Definition:</b> <a href="fmc_8c_source.html#l00179">fmc.c:179</a></div></div>
<div class="ttc" id="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga9ef5fc95ade50272ef27548db3cc833d"><div class="ttname"><a href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9ef5fc95ade50272ef27548db3cc833d">FMC_ISPCMD_READ</a></div><div class="ttdeci">#define FMC_ISPCMD_READ</div><div class="ttdef"><b>Definition:</b> <a href="fmc_8h_source.html#l00046">fmc.h:46</a></div></div>
<div class="ttc" id="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gafc1ab62919a2d7714a4514cafa1dfea8"><div class="ttname"><a href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc1ab62919a2d7714a4514cafa1dfea8">FMC_ReadUCID</a></div><div class="ttdeci">uint32_t FMC_ReadUCID(uint32_t u32Index)</div><div class="ttdoc">This function reads one of the four UCID.</div><div class="ttdef"><b>Definition:</b> <a href="fmc_8c_source.html#l00136">fmc.c:136</a></div></div>
<div class="ttc" id="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga100c2bb214379f1ffb7d7ad3b6bae466"><div class="ttname"><a href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga100c2bb214379f1ffb7d7ad3b6bae466">FMC_Close</a></div><div class="ttdeci">void FMC_Close(void)</div><div class="ttdoc">Disable all FMC functions.</div><div class="ttdef"><b>Definition:</b> <a href="fmc_8c_source.html#l00034">fmc.c:34</a></div></div>
<div class="ttc" id="_mini51_series_8h_html_aea164e8089d483d6a9eaeb541429828b"><div class="ttname"><a href="_mini51_series_8h.html#aea164e8089d483d6a9eaeb541429828b">FMC_ISPCON_ISPEN_Msk</a></div><div class="ttdeci">#define FMC_ISPCON_ISPEN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l01899">Mini51Series.h:1899</a></div></div>
<div class="ttc" id="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga5b1b56e5bfe7a7df142ec9c4c0466cee"><div class="ttname"><a href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5b1b56e5bfe7a7df142ec9c4c0466cee">FMC_ISPCMD_READ_CID</a></div><div class="ttdeci">#define FMC_ISPCMD_READ_CID</div><div class="ttdef"><b>Definition:</b> <a href="fmc_8h_source.html#l00049">fmc.h:49</a></div></div>
<div class="ttc" id="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaae44dbed19e50b1cc1c50ce8eb660ef9"><div class="ttname"><a href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaae44dbed19e50b1cc1c50ce8eb660ef9">FMC_Write</a></div><div class="ttdeci">void FMC_Write(uint32_t u32Addr, uint32_t u32Data)</div><div class="ttdoc">Writes a word data to specified flash address.</div><div class="ttdef"><b>Definition:</b> <a href="fmc_8c_source.html#l00203">fmc.c:203</a></div></div>
<div class="ttc" id="_mini51_series_8h_html_a5dcac03e5833339e9c6dc19953125c65"><div class="ttname"><a href="_mini51_series_8h.html#a5dcac03e5833339e9c6dc19953125c65">FMC_ISPCON_BS_Msk</a></div><div class="ttdeci">#define FMC_ISPCON_BS_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l01902">Mini51Series.h:1902</a></div></div>
<div class="ttc" id="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga28f55079cc6dc3f4641d98bd66647509"><div class="ttname"><a href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga28f55079cc6dc3f4641d98bd66647509">FMC_ReadCID</a></div><div class="ttdeci">uint32_t FMC_ReadCID(void)</div><div class="ttdoc">Read company ID.</div><div class="ttdef"><b>Definition:</b> <a href="fmc_8c_source.html#l00107">fmc.c:107</a></div></div>
<div class="ttc" id="_mini51_series_8h_html_a54f026a02e094489bf3c236973ba7cb6"><div class="ttname"><a href="_mini51_series_8h.html#a54f026a02e094489bf3c236973ba7cb6">FMC_ISPCON_ISPFF_Msk</a></div><div class="ttdeci">#define FMC_ISPCON_ISPFF_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l01914">Mini51Series.h:1914</a></div></div>
<div class="ttc" id="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gaf2ffaaafb784dda3627705765b00f26b"><div class="ttname"><a href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf2ffaaafb784dda3627705765b00f26b">FMC_ISPCMD_READ_UID</a></div><div class="ttdeci">#define FMC_ISPCMD_READ_UID</div><div class="ttdef"><b>Definition:</b> <a href="fmc_8h_source.html#l00051">fmc.h:51</a></div></div>
<div class="ttc" id="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga21c1c982b1575821e1b95e67059686d5"><div class="ttname"><a href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21c1c982b1575821e1b95e67059686d5">FMC_ReadConfig</a></div><div class="ttdeci">int32_t FMC_ReadConfig(uint32_t *u32Config, uint32_t u32Count)</div><div class="ttdoc">Read the User Configuration words.</div><div class="ttdef"><b>Definition:</b> <a href="fmc_8c_source.html#l00220">fmc.c:220</a></div></div>
<div class="ttc" id="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga9edbe1405f140aa36e5f3af3ac9360ae"><div class="ttname"><a href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9edbe1405f140aa36e5f3af3ac9360ae">FMC_DISABLE_CFG_UPDATE</a></div><div class="ttdeci">#define FMC_DISABLE_CFG_UPDATE()</div><div class="ttdef"><b>Definition:</b> <a href="fmc_8h_source.html#l00064">fmc.h:64</a></div></div>
<div class="ttc" id="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga3d133263bbf32628fb34da7f3ce2f65a"><div class="ttname"><a href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d133263bbf32628fb34da7f3ce2f65a">FMC_GetVectorPageAddr</a></div><div class="ttdeci">uint32_t FMC_GetVectorPageAddr(void)</div><div class="ttdoc">Obtain the current vector page address setting.</div><div class="ttdef"><b>Definition:</b> <a href="fmc_8c_source.html#l00192">fmc.c:192</a></div></div>
<div class="ttc" id="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_ga970254e6dadedc433f57d43709636664"><div class="ttname"><a href="group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga970254e6dadedc433f57d43709636664">FMC</a></div><div class="ttdeci">#define FMC</div><div class="ttdoc">Pointer to FMC register structure.</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l09946">Mini51Series.h:9946</a></div></div>
<div class="ttc" id="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga8bc30659ec176ab90b22a7f469781a43"><div class="ttname"><a href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8bc30659ec176ab90b22a7f469781a43">FMC_ReadDataFlashBaseAddr</a></div><div class="ttdeci">uint32_t FMC_ReadDataFlashBaseAddr(void)</div><div class="ttdoc">Get the base address of Data Flash if enabled.</div><div class="ttdef"><b>Definition:</b> <a href="fmc_8c_source.html#l00169">fmc.c:169</a></div></div>
<div class="ttc" id="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaa137e07140d3d8782ccc2135a454fba5"><div class="ttname"><a href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa137e07140d3d8782ccc2135a454fba5">FMC_Read</a></div><div class="ttdeci">uint32_t FMC_Read(uint32_t u32Addr)</div><div class="ttdoc">Read a word from specified flash address.</div><div class="ttdef"><b>Definition:</b> <a href="fmc_8c_source.html#l00091">fmc.c:91</a></div></div>
<div class="ttc" id="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga1aaae73ab5d5e5a4cee66c98e14623d5"><div class="ttname"><a href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1aaae73ab5d5e5a4cee66c98e14623d5">FMC_ISPCMD_PROGRAM</a></div><div class="ttdeci">#define FMC_ISPCMD_PROGRAM</div><div class="ttdef"><b>Definition:</b> <a href="fmc_8h_source.html#l00047">fmc.h:47</a></div></div>
<div class="ttc" id="_mini51_series_8h_html_ac487ff3130efdc1632f966d53e200141"><div class="ttname"><a href="_mini51_series_8h.html#ac487ff3130efdc1632f966d53e200141">FMC_ISPTRG_ISPGO_Msk</a></div><div class="ttdeci">#define FMC_ISPTRG_ISPGO_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l01926">Mini51Series.h:1926</a></div></div>
<div class="ttc" id="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaa482e0d0389b4b3661c20427665e5daf"><div class="ttname"><a href="group___m_i_n_i51___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa482e0d0389b4b3661c20427665e5daf">FMC_ENABLE_CFG_UPDATE</a></div><div class="ttdeci">#define FMC_ENABLE_CFG_UPDATE()</div><div class="ttdef"><b>Definition:</b> <a href="fmc_8h_source.html#l00069">fmc.h:69</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Oct 5 2020 14:31:43 for Mini51 BSP by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
